You are using an unsupported browser. Please update your browser to the latest version on or before July 31, 2020.
close

Upgrading To Spectrum 4.0 From An Ubuntu 14.04 Server

https://hf-files-oregon.s3-us-west-2.amazonaws.com/hdpdigitalwatchdog_kb_attachments/2019/09-24/4763eb2b-7c2d-49d6-bfc0-47620cc0f150/image.png

Upgrading to spectrum 4.0 from an ubuntu 14.04 server

------------------------- 
Affected Roles: Administrator / All Roles
Related Digital Watchdog VMS Apps: DW Spectrum Desktop
Complexity: High

Software Version: Ubuntu 14.04 / 16.04

Firmware Version: Spectrum 3.2 to Spectrum 4.0; if the current version of Spectrum is lower than 3.2, please update to 3.2 first.

Created By:

Date Created: 11.21.19

------------------------- 

Spectrum IPVMS 4.0 and higher is not supported by Ubuntu 14.04 or lower.

Before trying to upgrade from Spectrum 3.2 to Spectrum 4.0, please refer to this guide to mitigate any issues that may arise with your server as a result of the upgrade.

Supported / Affected Devices

  • BlackJack - LX units Running Ubuntu 14.04

Resolution:

1) Before making any changes to the system, it is a good habit to backup the server database as a restore point for Spectrum.

To do so, open the System Administration > General and select Create Backup. A system directory window will appear where you can assign a name to the file in the save location. The default save location is acceptable.

Alternatively, you can obtain the database files in the Ubuntu system by opening the File Viewer and navigating computer > opt > digitalwatchdog > mediaserver > var

  • Copy the ecs.sqlite & ecs_static.sqlite files from this directory as it contains the server's database and licenses

2) Confirm that your OS is running Ubuntu 16.04

There are two ways to check this: 

Method 1

Open the Terminal (CTRL + ALT + T) and type lsb_release -a and hit ENTER.

The terminal should tell you the current Ubuntu version under "Release".

Method 2

Open System Settings > All Settings > Details (under System) > Overview

The displaying screen should tell you the current Ubuntu version

NOTE: If your BlackJack System is using Ubuntu 14.04, it is required to upgrade to Ubuntu 16.04 before upgrading to Spectrum 4.0.

In addition, it is recommended to uninstall TeamViewer from the system before updating the OS to Ubuntu 16.04, as well. This is to mitigate operational issues that would otherwise arise with TeamViewer.

3) Start by uninstalling TeamViewer

Open the terminal and use sudo apt-get purge teamviewer

The requested password on this step is admin

Once TeamViewer has been uninstalled, you may proceed with upgrading to Ubuntu 16.04

4) To upgrade from Ubuntu 14.04 to Ubuntu 16.04, please see the following Knowledge Base article:

https://support.digital-watchdog.com/kb/article/204-upgrading-ubuntu-14-04-lts-to-ubuntu-16-04-lts-on-blackjack-nvr/

5) To install TeamViewer on Ubuntu 16.04, please see the following Knowledge Base article: 

https://support.digital-watchdog.com/kb/article/227-updating-teamviewer-on-ubuntu-16-04/

6) Once the steps above have been completed, you are clear to proceed with upgrading to Spectrum 4.0

https://digital-watchdog.com/productdetail/DW-Spectrum-IPVMS/

  • 234
  • 04-Mar-2020
  • 1849 Views